﻿#pragma strict

var baconOrder : AudioClip;
var sausagesOrder : AudioClip;
var paddyOrder : AudioClip;
var steakRareOrder : AudioClip;
var steakMediumRareOrder : AudioClip;
var steakMediumOrder : AudioClip;
var steakMediumWellDoneOrder : AudioClip;
var steakWellDone : AudioClip;

var orderLevel : String;
var orderStatus : String;
private var activePosition : float = 4.04;
private var inactivePosition : float = 5.85;
var activeOrder : boolean = false;
private var orderTimer : float;
var orderTime : float;
var newOrderSound : AudioClip;

//Text
var textLineA : TextMesh;
var textLineB : TextMesh;

//Order Variables
private var numberOfOrderTypes : int = 9;
private var orderType : int;

function OnMouseOver(){
    if(Input.GetMouseButtonDown(0))
    {
		if (GameScript.selectedMeatType != "")
		{
			GameScript.selectedOrderType = orderType;
			orderStatus = "Unset Order";
			activeOrder = false;
			orderTimer = orderTime;
		}
    }
}

function Start()
{
	orderStatus = "Unset Order";
	orderTimer = orderTime;
}

function Update()
{
	if (GameScript.gameStatus == "Running")
	{
		orderTimer -= Time.deltaTime;
		
		if (orderStatus == "Unset Order" && orderTimer < 0)
		{
			orderType = Random.Range(1, numberOfOrderTypes);
			orderStatus = "Order";
			OrderSlipText();
			activeOrder = true;
			audio.PlayOneShot(newOrderSound);
		}
		
		if (orderStatus == "Complete")
		{
			orderTimer = orderTime;
			activeOrder = false;
		}
	}
	else
	{
	orderStatus = "Unset Order";
	activeOrder = false;
	orderTimer = orderTime;
	}
	
	OrderSlipPosition();
}


function OrderSlipPosition()
{
	if (activeOrder && gameObject.transform.position.z > activePosition)
			gameObject.transform.position.z -= (Time.deltaTime * 3);
	
	if (!activeOrder && gameObject.transform.position.z < inactivePosition)
		gameObject.transform.position.z += (Time.deltaTime * 3);
}


function OrderSlipText()
{
	if (orderType == 1)
	{
	textLineA.text = "Steak";
	textLineB.text = "Rare";
	audio.PlayOneShot(steakRareOrder);
	}
	
	if (orderType == 2)
	{
	textLineA.text = "Steak";
	textLineB.text = "Medium \n Rare";
	audio.PlayOneShot(steakMediumRareOrder);
	}
	
	if (orderType == 3)
	{
	textLineA.text = "Steak";
	textLineB.text = "Medium";
	audio.PlayOneShot(steakMediumOrder);
	}
	
	if (orderType == 4)
	{
	textLineA.text = "Steak";
	textLineB.text = "Medium \n Well Done";
	audio.PlayOneShot(steakMediumWellDoneOrder);
	}
	
	if (orderType == 5)
	{
	textLineA.text = "Steak";
	textLineB.text = "Well Done";
	audio.PlayOneShot(steakWellDone);
	}
	
	if (orderType == 6)
	{
	textLineA.text = "Burger \n Paddy";
	textLineB.text = "";
	audio.PlayOneShot(paddyOrder);
	}
	
	if (orderType == 7)
	{
	textLineA.text = "Sausages";
	textLineB.text = "";
	audio.PlayOneShot(sausagesOrder);
	}
	
	if (orderType == 8)
	{
	textLineA.text = "Bacon";
	textLineB.text = "";
	audio.PlayOneShot(baconOrder);
	}
}


@script RequireComponent(AudioSource)



















