﻿#pragma strict

private var pixelWidth : float;
private var pixelHeight : float;
private var positionX : float;
private var positionY : float;

private var textSize : float;
private var textX : float;
private var textY : float;

private var screenResolution : float;
private var guiHeightRatio : float = Screen.height * 0.001;

function Start()
{
	if (gameObject.guiTexture)
	{
		pixelWidth = gameObject.guiTexture.pixelInset.width;
		pixelHeight = gameObject.guiTexture.pixelInset.height;
		positionX = gameObject.guiTexture.pixelInset.x;
		positionY = gameObject.guiTexture.pixelInset.y;
	}
	else if (gameObject.guiText)
	{
		textSize = gameObject.guiText.fontSize;
		textX = gameObject.guiText.pixelOffset.x;
		textY = gameObject.guiText.pixelOffset.y;
	}
	
	screenResolution = 0;
}

function Update()
{
	if (screenResolution != Screen.width * Screen.height)
	{
		if (gameObject.guiTexture)
		{
			gameObject.guiTexture.pixelInset.width = (pixelWidth * guiHeightRatio);
			gameObject.guiTexture.pixelInset.height = (pixelHeight * guiHeightRatio);
			gameObject.guiTexture.pixelInset.x = (positionX * guiHeightRatio);
			gameObject.guiTexture.pixelInset.y = (positionY * guiHeightRatio);
			screenResolution = Screen.width * Screen.height;
		}
		else if (gameObject.guiText)
		{
			gameObject.guiText.fontSize = (textSize * guiHeightRatio);
			gameObject.guiText.pixelOffset.x = (textX * guiHeightRatio);
			gameObject.guiText.pixelOffset.y = (textY * guiHeightRatio);
		}
	}
}